# OnKick

Non-local user is being kicked from a channel

Parameters

    $0 = source nickname
    $1 = source username
    $2 = source hostname
    $3 = kicked nickname
    $4 = kick reason

Window
Channel
Description

Triggered when a non-local user is being kicked from a channel.
The KICK message has already been processed by the server , so the user is effectively no longer on the channel. On the other side, it might be useful to access the user-related channel data from this event, thus the handler is called effectively just BEFORE the user is effectively removed from the channel internal structures.
Sine this event is triggered in the chanel window, you can get the channel name by using the $target function.
Calling 'halt' in this event will stop the kick message output.

See also
OnMeKick

Index, Events

KVIrc 3.2.0 Documentation
Generated by kris at Sat Jan 12 10:55:49 2008